Loading...
Searching...
No Matches
ta_list Struct Reference

Structure for accessing tagged argument lists. More...

`#include <su_tagarg.h>`

Collaboration diagram for ta_list:
[legend]

## Detailed Description

Structure for accessing tagged argument lists.

The function called with tagged arguments must declare an object of type ta_list which is used by the macros ta_start(), ta_args(), ta_tags(), and ta_end().

If a tagged list is not finished with TAG_END(), TAG_NULL(), or TAG_NEXT() items, random errors may occur.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.